[**@rxap/firebase v19.0.4-dev.0**](../README.md)

***

[@rxap/firebase](../globals.md) / ServiceWorkerFactory

# Function: ServiceWorkerFactory()

> **ServiceWorkerFactory**(): `false` \| `Promise`\<`undefined` \| `ServiceWorkerRegistration`\>

Defined in: [firebase.provider.ts:165](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/firebase/src/lib/firebase.provider.ts#L165)

## Returns

`false` \| `Promise`\<`undefined` \| `ServiceWorkerRegistration`\>
